<?php
abstract class Info // definicja klasy abstrakcyjnej
{
    abstract public function getID(); // definicja metody abstrakcyjnej

    public function getName() // implementacja metody
    {
        print "Obsługa metody getName()".PHP_EOL;
    }

    final public function getCode() // implementacja metody
    {
        print "Obsługa metody getCode()".PHP_EOL;
    }
}

class Patient extends Info // definicja klasy z dziedziczeniem
{
    public function getID() // implementacja metody abstrakcyjnej
    {
        print "Obsługa metody getID()".PHP_EOL;
    }
}

$chory = new Patient;
$chory->getID();
$chory->getName();
$chory->getCode();